Overview
GET
/communities/{id}/memberscommunityList the membership roster (community admin only)
Fetch a record from members by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
The community’s membership roster
- itemsCommunityMember[]
Example
{
"items": [
{
"communityId": "string",
"customerId": "string",
"role": "string",
"bio": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/communities/{id}/members" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/communities/{id}/members", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();